%define ver	1.0
%define rel	2
%define prefix	/usr
%define texmf	%{prefix}/share/texmf

Summary: The gbkfonts program for importing TrueType fonts to TeX/LaTeX
Name:	 CJK-GBKfonts
Version: %ver
Release: %rel
License: distributable
Group: 	 Applications/Publishing
Source:  gbkfonts-linux-0.3.tar.bz2
Source1: gbkfont-inst
Source2: gbkfonts.sh
# backups
Source3: CJK-GBKfonts.spec.old
Source4: CJK-GBKfonts.sh.save
#BuildPrereq: 
#Conflicts:
Provides: CJK-GBKfonts
#Requires: CJK, ttfonts-zh_CN >= 2.11-21, gawk, grep
Requires: cct, CJK, dvipdfmx, gawk, grep, sed, fontforge
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Packager: Zhang Linbo <zlb@lsec.cc.ac.cn>

%description

This package provides the 'gbkfonts' program for creating GBK fonts
for CCT/CJK.

A bash script, 'gbkfont-inst', is provided to facilitate installation
of new fonts. You might want to run this scripts (as root) to install some
system fonts, right after installing the package, e.g.,:

	gbkfont-inst /usr/share/fonts/zh_CN/TrueType/gbsn00lp.ttf gbksong
	gbkfont-inst /usr/share/fonts/zh_CN/TrueType/gkai00mp.ttf gbkkai
	... ...

(type 'gbkfont-inst' without argument to get a brief help message.)

%prep
%setup -q -n CJK -c
cp $RPM_SOURCE_DIR/{gbkfont-inst,gbkfonts.sh} .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin

#---------------- Use the original 'gbkfonts' program
###glibc_ver=`echo /lib/libc-2.?.?.so | awk -F. '{print $2}'`
###if [ "$glibc_ver" -gt 2 ]; then
###    GBKFONTS=gbkfonts-glibc2.3
###else
###    # glibc <= 2.2, use static linked gbkfonts
###    GBKFONTS=gbkfonts
###fi
###cp -p gbkfonts-linux-0.3/$GBKFONTS $RPM_BUILD_ROOT%{prefix}/bin/gbkfonts
#---------------- Use fontforge-based bash script 'gbkfonts.sh'
cp -p gbkfonts.sh $RPM_BUILD_ROOT%{prefix}/bin/gbkfonts

cp -p gbkfont-inst $RPM_BUILD_ROOT%{prefix}/bin/gbkfont-inst
chmod 0755 $RPM_BUILD_ROOT%{prefix}/bin/gbkfont-inst

%clean
rm -rf $RPM_BUILD_ROOT

%post
if test -d %{texmf}/fonts/map/dvips; then
    rm -f %{texmf}/fonts/map/dvips/CJK
    ln -s ../../../dvips/config %{texmf}/fonts/map/dvips/CJK
fi
if test -d %{texmf}/fonts/enc/dvips; then
    rm -f %{texmf}/fonts/enc/dvips/CJK
    ln -s ../../../dvips/chinese %{texmf}/fonts/enc/dvips/CJK
fi
texhash

%postun
test -L %{texmf}/fonts/map/dvips/CJK && rm -f %{texmf}/fonts/map/dvips/CJK
test -L %{texmf}/fonts/enc/dvips/CJK && rm -f %{texmf}/fonts/enc/dvips/CJK
texhash

%files
%defattr(-,root,root)
/usr/bin/*

%changelog

* Thu Mar 10 2011 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 1.0-2: fix a bug with "gbkfont-inst remove ..." ($tempfile undefined)

* Wed Aug 12 2009 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 1.0-1: replace the gbkfonts program with a fontforge-based bash script
	 (the old programs no longer works on Fedora 11)

* Sun Oct  8 2006 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-16: add updating updmap.cfg in gbkfont-inst

* Mon Mar 27 2006 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-15: add dependency on tetex-afm (by lapackapi)

* Sat Feb 11 2006 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-14: cleanup temp directories/files (suggested by demonstrate)

* Thu Sep 15 2005 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- gbkfont-inst:
  . install in /usr/share/texmf instead of $HOME/texmf,
    if $texmfmain is empty and the script is run by root.
  . recursively replace symbolic links in `canonicalize'
- use 'gsub' instead of 'gensub' in the awk scripts, the latter is not
  available in mawk.
- cp then rm the tmp file instead of mv (the target might be a symbolic link)

* Wed Jul 13 2005 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-12: new cmdline 'gbkfont-inst list' displays installed GBK fonts.

* Fri Jul  8 2005 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-11: changes for teTeX-3

* Wed Dec 08 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-10: canonicalize ttf font name to avoid duplicate paths in TTFONTS

* Tue Dec 07 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-9: only change ttfname to lowercase when the leading part of the
pathname matches the mount point

* Tue Dec 07 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-8: change ttfname to lowercase if Windows/DOS fs (excluding the
leading part corresponding to the mount point)

* Sun Dec 05 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 0.3-7: added 'gbkfont-inst' bash script
- removed codes in %post and %preun

* Thu Oct 30 2003 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Add '\hyphenchar\font\m@ne' in \DeclearFontFamily in c19*.fd

* Wed May 28 2003 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Check version of glibc when installing gbkfonts.

* Mon May 19 2003 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Append 'dvipsmap cjk.map' line to %{texmf}/xdvi/xdvi.cfg

* Sat Jan 04 2003 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Created the package.
